ru.bitel.bgbilling.modules.inet.api.common.bean

## Class InetSession

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.api.common.bean.InetSession

- Direct Known Subclasses:
    InetSessionLog

      public class InetSession
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `connectionId`
    `protected short` | `deviceState` Состояние на устройстве для сессии (на момент начала сессии).
    `protected long` | `id`
    `protected java.util.Date` | `lastActive`
    `protected long` | `parentId`
    `protected java.math.BigDecimal` | `sessionCost`
    `protected java.util.Date` | `sessionStart`
    `protected java.util.Date` | `sessionStop`
    `protected long` | `sessionTime`
    `protected long` | `splittedId`
    `protected int` | `status`
    `static short` | `STATUS_ALIVE`
    `static short` | `STATUS_CLOSED`
    `static short` | `STATUS_FINISHED`
    `static short` | `STATUS_SUSPENDED`
    `static int` | `TYPE_FAKE`
    `static int` | `TYPE_NORMAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetSession()`
    `InetSession(InetConnection connection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getConnectionId()`
    `short` | `getDeviceState()` Состояние на устройстве для сессии (на момент начала сессии).
    `long` | `getId()`
    `java.util.Date` | `getLastActive()`
    `long` | `getParentId()`
    `java.math.BigDecimal` | `getSessionCost()`
    `java.util.Date` | `getSessionStart()`
    `java.util.Date` | `getSessionStop()`
    `long` | `getSessionTime()`
    `long` | `getSplittedId()`
    `int` | `getStatus()`
    `void` | `setConnectionId(long connectionId)`
    `void` | `setDeviceState(short type)` Состояние на устройстве для сессии (на момент начала сессии).
    `void` | `setId(long id)`
    `void` | `setLastActive(java.util.Date lastActive)`
    `void` | `setParentId(long parentId)`
    `void` | `setSessionCost(java.math.BigDecimal sessionCost)`
    `void` | `setSessionStart(java.util.Date sessionStart)`
    `void` | `setSessionStop(java.util.Date sessionStop)`
    `void` | `setSessionTime(long sessionTime)`
    `void` | `setSplittedId(long splittedId)`
    `void` | `setStatus(int status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_ALIVE

          public static final short STATUS_ALIVE

      See Also:
        Constant Field Values

    - #### STATUS_SUSPENDED

          public static final short STATUS_SUSPENDED

      See Also:
        Constant Field Values

    - #### STATUS_CLOSED

          public static final short STATUS_CLOSED

      See Also:
        Constant Field Values

    - #### STATUS_FINISHED

          public static final short STATUS_FINISHED

      See Also:
        Constant Field Values

    - #### TYPE_NORMAL

          public static final int TYPE_NORMAL

      See Also:
        Constant Field Values

    - #### TYPE_FAKE

          public static final int TYPE_FAKE

      See Also:
        Constant Field Values

    - #### id

          protected long id

    - #### connectionId

          protected long connectionId

    - #### parentId

          protected long parentId

    - #### splittedId

          protected long splittedId

    - #### sessionStart

          protected java.util.Date sessionStart

    - #### sessionStop

          protected java.util.Date sessionStop

    - #### lastActive

          protected java.util.Date lastActive

    - #### deviceState

          protected short deviceState

      Состояние на устройстве для сессии (на момент начала сессии).
      Для CoA соединений, когда доступ отключается CoA - начинается новая session с deviceState=`InetServ.STATE_DISABLE`

    - #### sessionTime

          protected long sessionTime

    - #### sessionCost

          protected java.math.BigDecimal sessionCost

    - #### status

          protected int status

  - ### Constructor Detail

    - #### InetSession

          public InetSession()

    - #### InetSession

          public InetSession(InetConnection connection)

  - ### Method Detail

    - #### getId

          public long getId()

    - #### setId

          public void setId(long id)

    - #### getConnectionId

          public long getConnectionId()

    - #### setConnectionId

          public void setConnectionId(long connectionId)

    - #### getParentId

          public long getParentId()

    - #### setParentId

          public void setParentId(long parentId)

    - #### getSplittedId

          public long getSplittedId()

    - #### setSplittedId

          public void setSplittedId(long splittedId)

    - #### getDeviceState

          public short getDeviceState()

      Состояние на устройстве для сессии (на момент начала сессии).
      Для CoA соединений, когда доступ отключается CoA - начинается новая session с deviceState=`InetServ.STATE_DISABLE`
      Returns:

    - #### setDeviceState

          public void setDeviceState(short type)

      Состояние на устройстве для сессии (на момент начала сессии).
      Для CoA соединений, когда доступ отключается CoA - начинается новая session с deviceState=`InetServ.STATE_DISABLE`

    - #### getSessionStart

          public java.util.Date getSessionStart()

    - #### setSessionStart

          public void setSessionStart(java.util.Date sessionStart)

    - #### getSessionStop

          public java.util.Date getSessionStop()

    - #### setSessionStop

          public void setSessionStop(java.util.Date sessionStop)

    - #### getLastActive

          public java.util.Date getLastActive()

    - #### setLastActive

          public void setLastActive(java.util.Date lastActive)

    - #### getSessionTime

          public long getSessionTime()

    - #### setSessionTime

          public void setSessionTime(long sessionTime)

    - #### getSessionCost

          public java.math.BigDecimal getSessionCost()

    - #### setSessionCost

          public void setSessionCost(java.math.BigDecimal sessionCost)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)